#include <bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0);

    int n, k, x;
    cin >> n >> k >> x;
    vector<int> a = vector<int>(n, -1);
    int num = x + 1;
    int counter = 0;

    for (int i = 0; i < n; i++) {
        if (i == 0)
            a[i] = 1;
        else {
            if (counter++ < k)
                a[i] = num;
            else {
                int middle = (1 + x) / 2;

                if (middle - 1 >= x || x - middle >= x) {
                    cout << "-1";
                    return 0;
                }

                a[i] = middle;
            }
        }
    }

    for (int i = 0; i < n; i++) {
        cout << a[i] << ' ';
    }

    return 0;
}